/* cmd_neonserv_unbanme.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_neonserv.h"

/*
* argv[0-*]    nothing
*/

CMD_BIND(neonserv_cmd_unbanme) {
    struct ModeBuffer *modeBuf;
    int bans = 0;
    struct BanNode *ban;
    modeBuf = initModeBuffer(client, chan);
    char usermask[NICKLEN+USERLEN+HOSTLEN+3];
    sprintf(usermask, "%s!%s@%s", user->nick, user->ident, user->host);
    for(ban = chan->bans; ban; ban = ban->next) {
        if(!match(ban->mask, usermask)) {
            modeBufferUnban(modeBuf, ban->mask);
            bans++;
        }
    }
    freeModeBuffer(modeBuf);
    if(bans) {
        reply(textclient, user, "NS_UNBANME_DONE", bans, chan->name);
        logEvent(event);
    } else
        reply(textclient, user, "NS_UNBANME_FAIL", client->user->nick, usermask);
}
